#!/bin/bash

export OS_USERNAME=admin
export OS_PASSWORD={{ admin_password }}
export OS_PROJECT_NAME=admin
export OS_USER_DOMAIN_NAME=Default
export OS_PROJECT_DOMAIN_NAME=Default
export OS_AUTH_URL={{ internal_endpoint }}
export OS_IDENTITY_API_VERSION=3

if [ `openstack project list | grep {{ project }} -c` -eq 0 ]; then
  echo "INFO: CREATED {{ project }}"
  openstack project create {{ project }} --or-show
fi

for project in {{ project }}; do
  echo "set quotas and members for {{ project }} project"
  openstack quota set --ram {{ maxram }} --instances {{ maxinstances }} --cores {{ maxvcpus }} --gigabytes {{ gigabytes }} --floating-ips {{ floating_ips }} --secgroups {{ security_groups }} --secgroup-rules {{ secgroup_rules }} --networks {{ networks }} --ports {{ ports }} --volumes {{ volumes }} --subnets {{ subnets }} --routers {{ routers }} {{ project }}
  for member in {{ members }}; do
    openstack role add --project {{ project }} --user $member --user-domain {{ keystone_domain }} user
  done
done
